-- Aeroport

local result
local vector2 = require("#microsoft.xna.framework.vector2")
local lua_helper = celeste.Mod.LuaCutscenes.LuaHelper
local Monocle = require("#Monocle")
local minput = require("#Monocle.MInput")
local coroutineEntity = monocle.Entity()

local function doFadeWipe(state)
	disableMovement()
    fadeWipe = celeste.FadeWipe(engine.Scene, state, nil) -- (state = "false" escurece ,"true" clareia)
    engine.Scene:Add(fadeWipe)
    fadeWipe.duration = 1.5
    fadeWipe.EndTimer = 1.5
	enableMovement()
end

local function antesescolha()
	say("ASCBR25_1_Choice")
	setFlag("aeroporto")
	coroutine.yield(getLevel():ZoomBack(2))
	player.DummyAutoAnimate = true
	player.ForceCameraUpdate = false
	enableRetry()
	enableMovement()
	result = 9
	disableMovement()
	wait(0.5)
	doFadeWipe(false)
  	wait(1.5)
end

local function depoisescolha()
	doFadeWipe(true)
	wait(1.5)
	wait(0.5)
	enableMovement()
end

function onTalk()
	makeUnskippable()
	disableRetry()
	disableMovement()
	player.ForceCameraUpdate = true
	wait()
	player.Sprite:Play("idle", true, false)
	wait(0.2)
	coroutine.yield(getLevel():ZoomTo(vector2(160, 90), 1.08, 1))
	say("ASCBR25_1")

repeat
	if not getFlag("choice1") then
		result = choice("ASCBR25_2", "ASCBR25_3", "ASCBR25_4", "ASCBR25_5", "ASCBR25_6", "ASCBR25_7", "ASCBR25_8", "ASCBR25_9", "ASCBR25_10", "ASCBR25_11", "ASCBR25_12", "ASCBR25_13", "ASCBR25_14", "ASCBR25_15", "ASCBR25_16", "ASCBR25_17", "ASCBR25_18", "ASCBR25_19", "ASCBR25_20", "ASCBR25_21", "ASCBR25_22", "ASCBR25_23", "ASCBR25_24", "ASCBR25_25", "ASCBR25_26", "ASCBR25_27", "ASCBR25_28", "ASCBR25_29", "ASCBR25_30", "ASCBR25_31", "ASCBR25_32", "ASCBR25_33", "ASCBR25_34", "ASCBR25_35", "ASCBR25_36")
		if result == 1 then
			result = 37
		elseif result == 2 then do
			antesescolha()
			teleportTo(-47464, 4840, "101-woopa")
			depoisescolha()
		end
		elseif result == 3 then do
			antesescolha()
			teleportTo(-46352, 4832, "102-miglan")
			depoisescolha()
		end
		elseif result == 4 then do
			antesescolha()
			teleportTo(-45384, 4840, "103-skitz")
			depoisescolha()
		end
		elseif result == 5 then do
			antesescolha()
			teleportTo(-44128, 5256, "104-star")
			depoisescolha()
		end
		elseif result == 6 then do
			antesescolha()
			teleportTo(-43136, 5524, "105-louiss")
			depoisescolha()
		end
		elseif result == 7 then do
			antesescolha()
			teleportTo(-40872, 5104, "106-lia")
			depoisescolha()
		end
		elseif result == 8 then do
			antesescolha()
			teleportTo(-38488, 2768, "107-vinagre")
			depoisescolha()
		end
		elseif result == 9 then do
			antesescolha()
			teleportTo(-37880, 2856, "108-fox")
			depoisescolha()
		end
		elseif result == 10 then do
			antesescolha()
			teleportTo(-36968, 2840, "109-nmarine6")
			depoisescolha()
		end
		elseif result == 11 then do
			antesescolha()
			teleportTo(-33992, 2864, "110-olive")
			depoisescolha()
		end
		elseif result == 12 then do
			antesescolha()
			teleportTo(-31096, 2824, "201-biel")
			depoisescolha()
		end
		elseif result == 13 then do
			antesescolha()
			teleportTo(-30056, 1768, "202-luonrinho")
			depoisescolha()
		end
		elseif result == 14 then do
			antesescolha()
			teleportTo(-28656, 1752, "203-spokis")
			depoisescolha()
		end
		elseif result == 15 then do
			antesescolha()
			teleportTo(-26344, 1712, "204-badast")
			depoisescolha()
		end
		elseif result == 16 then do
			antesescolha()
			teleportTo(-25320, 2464, "205-vinizin")
			depoisescolha()
		end
		elseif result == 17 then do
			antesescolha()
			teleportTo(-22048, 2184, "206-strawb")
			depoisescolha()
		end
		elseif result == 18 then do
			antesescolha()
			teleportTo(-22744, 1244, "207-costelinha")
			depoisescolha()
		end
		elseif result == 19 then do
			antesescolha()
			teleportTo(-20248, 928, "208-destro")
			depoisescolha()
		end
		elseif result == 20 then do
			antesescolha()
			teleportTo(-18464, 944, "301-roses")
			depoisescolha()
		end
		elseif result == 21 then do
			antesescolha()
			teleportTo(-15688, 200, "302-ferrer")
			depoisescolha()
		end
		elseif result == 22 then do
			antesescolha()
			teleportTo(-10168, 128, "303-dash")
			depoisescolha()
		end
		elseif result == 23 then do
			antesescolha()
			teleportTo(-7176, -912, "304-leotxr")
			depoisescolha()
		end
		elseif result == 24 then do
			antesescolha()
			teleportTo(-2670, -1352, "305-cabrini")
			depoisescolha()
		end
		elseif result == 25 then do
			antesescolha()
			teleportTo(-1508, -1320, "306-future")
			depoisescolha()
		end
		elseif result == 26 then do
			antesescolha()
			teleportTo(-1032, -2288, "307-nicolau")
			depoisescolha()
		end
		elseif result == 27 then do
			antesescolha()
			teleportTo(-40, -3168, "308-priest")
			depoisescolha()
		end
		elseif result == 28 then do
			antesescolha()
			teleportTo(144, -3904, "309-tear")
			depoisescolha()
		end
		elseif result == 29 then do
			antesescolha()
			teleportTo(696, -4728, "401-sunsetquasar-1")
			depoisescolha()
		end
		elseif result == 30 then do
			antesescolha()
			teleportTo(998, -5536, "402-wander")
			depoisescolha()
		end
		elseif result == 31 then do
			antesescolha()
			teleportTo(960, -6296, "403-tomadalegal")
			depoisescolha()
		end
		elseif result == 32 then do
			antesescolha()
			teleportTo(2468, -8664, "404-astheorisco")
			depoisescolha()
		end
		elseif result == 33 then do
			antesescolha()
			teleportTo(14784, -8560, "405-lukinhas")
			depoisescolha()
		end
		elseif result == 34 then do
			antesescolha()
			teleportTo(18688, -8560, "406-luci")
			depoisescolha()
		end
		elseif result == 35 then do
			antesescolha()
			teleportTo(22800, -8648, "407-rhuan")
			depoisescolha()
		end
		elseif result == 36 then do
			antesescolha()
			teleportTo(29296, -9024, "408-lolo")
			depoisescolha()
		end
		else
			enableMovement()
    		enableRetry()
    		enableMovement()
			result = 37
		end
		
	end
until result == 37
	enableMovement()
    enableRetry()
    enableMovement()
end

function onEnd()
	enableMovement()
    enableRetry()
    enableMovement()
end